# $Revision: 1.14 $, $Date: 2011/03/01 06:28:40 $
%define		_status		beta
%define		_pearname	System_Daemon
%define		subver		RC1
%define		rel			2
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Turn PHP scripts into Linux daemons
Summary(pl.UTF-8):	%{_pearname} - zamiana skryptów PHP w demony
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	0.%{subver}.%{rel}
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	f51cf950b7ab917ff5dbbbaf726aed14
Source1:	PLD.php
Source2:	template_PLD.sh
URL:		http://pear.php.net/package/System_Daemon/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.571
Requires:	php-pear
Suggests:	php-pear-Log
Obsoletes:	php-pear-System_Daemon-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Log.*)

%description
System_Daemon is a PHP class that allows developers to create their
own daemon applications on Linux systems.

The class is focussed entirely on creating and spawning standalone
daemons, and for example includes:
 - Methods to generate OS-specific startup-files (init.d) (currently
   only Debian/Ubuntu are supported), so that your application gets
   started on reboot as well,
 - Methods for logging purposes,
 - Simple syntax,
 - Support for PEAR's Log package,
 - Can run with or without PEAR (PEAR adds more elegance and
   functionality),
 - Default signal handlers, but optionally reroute signals to your own
   handlers,
 - Log levels comply with PEAR_LOG_ levels but are called
   SYSTEM_DAEMON_LOG_ for (in)dependency reasons,
 - Set options like max RAM usage

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
System_Daemon to klasa PHP pozwalająca programiście na tworzenie w
systemach unixowych aplikacji działających jako demony.

Klasa ta zajmuje się wyłącznie tworzeniem i uruchamianiem
samodzielnych demonów. Inna funkcjonalność to między innymi:
 - metody do generowania plików startowych (init.d), tak aby aplikacja
   uruchamiana była także przy restarcie systemu,
 - metody do obsługi logowania komunikatów,
 - prosta składnia,
 - może działać bez PEAR (wraz z PEAR dostępna dodatkowa
   funkcjonalność),
 - domyślna obsługa sygnałów, opcjonalnie przekazanie sygnałów to
   własnych funkcji,
 - poziomy komunikatów kompatybilne z PEAR_LOG_ ale nazwane
   SYSTME_DAEMON_LOG_ dla zachowania niezależności od PEAR,
 - ustawianie opcji takich jak maksymalne wykorzystanie pamięci RAM.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# examples fixups
mv docs/%{_pearname}/examples .

# pear/docs -> docs
mv docs/%{_pearname}/docs/* docs
rmdir docs/System_Daemon/docs docs/System_Daemon

# not part of the package, some tools to make _this_ pear package.
rm -rf ./%{php_pear_dir}/tools
rm -f ./%{php_pear_dir}/{package,test}.php

mv .%{php_pear_dir}/README.md .

# duplicate: we also package these
rm -rf examples/System

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

# Add PLD Linux OS system
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{php_pear_dir}/System/Daemon/OS
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{php_pear_dir}/data/System_Daemon/data/template_PLD

install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir},%{_examplesdir}/%{name}-%{version}}
cp -a examples/*  $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc README.md
%doc docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/System/Daemon
%{php_pear_dir}/System/Daemon.php
%{php_pear_dir}/data/System_Daemon

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-System_Daemon.spec,v $
Revision 1.14  2011/03/01 06:28:40  glen
- release 2

Revision 1.13  2011/02/27 11:37:07  glen
- up to 1.0.0RC1

Revision 1.12  2011/01/23 01:03:27  sparky
- dropped -tests subpackage

Revision 1.11  2010/08/21 19:09:02  glen
- updated deps with pearize.sh
- release 3

Revision 1.10  2010/08/21 10:36:29  glen
- add PLD OS; rel 2

Revision 1.9  2010/08/20 12:38:48  glen
- up to 0.10.3-beta

Revision 1.8  2009/05/03 08:58:29  adamg
- updated to 0.8.0

Revision 1.7  2009/02/20 13:33:02  adamg
- updated to 0.6.9

Revision 1.6  2009/02/15 11:51:51  adamg
- updated to 0.6.3

Revision 1.5  2009/02/09 23:52:20  adamg
- updated to 0.6.0

Revision 1.4  2009/02/02 23:06:14  glen
- remove duplicate files; rel 2

Revision 1.3  2009/02/02 23:03:20  glen
- don't include package trash
- unify docs and examples dirs

Revision 1.2  2008/12/27 01:22:02  adamg
- updated to 0.5.0

Revision 1.1  2008-06-04 16:24:29  adamg
- new

